%define 	major 3
%define 	minor 8
Summary:	A network traffic monitoring tool.
Name:		tcpdump
Version:	3.8.3
Release:	1
License:	GPL
Group:		Monitoring
URL:            http://www.tcpdump.org
Source0:        http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	libpcap
BuildRequires:  libpcap-devel

%description
Tcpdump is a command-line tool for monitoring network traffic.  Tcpdump
can capture and display the packet headers on a particular network
interface or on all interfaces.  Tcpdump can display all of the packet
headers, or just the ones that match particular criteria.
Install tcpdump if you need a program to monitor network traffic.

cvs -d :pserver:tcpdump@cvs.tcpdump.org:/tcpdump/master login
cvs login anoncvs
cvs -d :pserver:tcpdump@cvs.tcpdump.org:/tcpdump/master co tcpdump

%prep
%setup -q

%build
libtoolize --copy --force
%configure \
	--with-pcap=linux \
	--enable-ipv6 \
	--disable-nls
make CC="gcc $RPM_OPT_FLAGS -fPIC -DIP_MAX_MEMBERSHIPS=20"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
